<?php

/**
 * @file
 * Contains \Drupal\html_diff\Routing\RouteSubscriber.
 */

namespace Drupal\html_diff\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Drupal\html_diff\Controller\HtmlDiffNodeRevisionController;
use Symfony\Component\Routing\RouteCollection;

/**
 * Listens to the dynamic route events.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  public function alterRoutes(RouteCollection $collection) {
    // Replace the content from node.revision_overview route with content
    // generated by revisionOverview method from NodeRevisionController class.
    $route = $collection->get('diff.revisions_diff');
    $route->setDefault('_controller', '\Drupal\html_diff\Controller\HtmlDiffNodeRevisionController::compareNodeRevisions');
    $route->setDefault('filter', HtmlDiffNodeRevisionController::FILTER);
  }

}
